Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class SubdivisionHelper

    java.lang.Object
      de.grogra.math.SubdivisionHelper

Direct Known Subclasses:
  NURBSSubdivisionHelper

    public abstract class SubdivisionHelper

extends java.lang.Object

Field Summary
`protected int` | `degree`
`protected int` | `dimension`
`protected float` | `flatness`
`protected boolean` | `rational`

Constructor Summary
`SubdivisionHelper(boolean rational)`

Method Summary
`protected boolean` | `isFlat(float distSquared, float lengthSquared, int depth)`
`protected static void` | `subdivide(FloatList v, int dimension, int degree, int step, int blockCount, int blockStep, float[] tmp)`
`protected void` | `subdivideCurve(FloatList v, float[] tmp, int part, int depth)`
`protected abstract void` | `visitFlat(float[] v, int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### degree

    protected int degree

### dimension

    protected int dimension

### flatness

    protected float flatness

### rational

    protected final boolean rational

Constructor Detail

### SubdivisionHelper

    public SubdivisionHelper(boolean rational)

Method Detail

### isFlat

    protected boolean isFlat(float distSquared,
                             float lengthSquared,
                             int depth)

### subdivide

    protected static void subdivide(FloatList v,
                                    int dimension,
                                    int degree,
                                    int step,
                                    int blockCount,
                                    int blockStep,
                                    float[] tmp)

### subdivideCurve

    protected void subdivideCurve(FloatList v,
                                  float[] tmp,
                                  int part,
                                  int depth)

### visitFlat

    protected abstract void visitFlat(float[] v,
                                      int index)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD